EventPanel (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui.event
Class EventPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.bbn.openmap.gui.OMComponentPanel
                          com.bbn.openmap.gui.event.EventPanel

All Implemented Interfaces:
  MapPanelChild, LightMapHandlerChild, PropertyConsumer, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class EventPanel

extends OMComponentPanel
implements MapPanelChild

The EventPanel holds EventPresenters, which are components that will display events. Also contains a GUI framework for holding filtering controls, but that part hasn't been worked out yet. Finds EventPresenters in the MapHandler. If you add EventPresenters programmatically, make sure the EventPresenter has access to all of the other components it needs, too.

     eventPanel.class=com.bbn.openmap.gui.event.EventPanel
     eventPanel.parent=hotwashPanel

Author:
  dietrick
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected java.util.Hashtable<java.lang.Object,EventPresenter>` | `eventPresenterComponentLookup`
`protected java.util.List<EventPresenter>` | `eventPresenters`
`protected javax.swing.JPanel` | `filterPanel`
`protected boolean` | `hasFilters`
`static java.lang.String` | `HIDE_ALL_EVENTS_STRING`
`protected javax.swing.JPanel` | `launchFilterPanel`
`static java.util.logging.Logger` | `logger`
`protected java.util.List<MacroFilter>` | `macroFilters`
`protected javax.swing.JPanel` | `macroPanel`
`static java.lang.String` | `NO_EVENTS_STRING`
`protected java.lang.String` | `parentName`
`protected java.lang.String` | `preferredLocation`
`static java.lang.String` | `SET_FILTERS_STRING`
`static java.lang.String` | `SHOW_ALL_EVENTS_STRING`

Fields inherited from class com.bbn.openmap.gui.OMComponentPanel
`beanContextChildSupport, i18n, isolated, orientation, propertyPrefix, windowSupport`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.bbn.openmap.gui.MapPanelChild
`ParentNameProperty, PreferredLocationProperty`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`EventPanel()`

Method Summary
`void` | `addEventPresenter(EventPresenter ep)`
`void` | `addMacroFilter(MacroFilter mf)`
`void` | `clearEventPresenters()`
`void` | `clearMacroFilters()`
`void` | `findAndInit(java.lang.Object someObj)`
`void` | `findAndUndo(java.lang.Object someObj)`
`protected javax.swing.JPanel` | `getFilterPanel()` This filter panel is the overall filter panel that is in the frame.
`java.lang.String` | `getParentName()` Should return the name of the desired parent component.
`java.lang.String` | `getPreferredLocation()` Should return BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST.
`void` | `initInterface()` Initialize the panel interface, showing the buttons for calling up the filter panel and the event presenter lists in a tabbed pane (if there is more than one, otherwise, just shows the component from that EventPresenter).
`void` | `removeEventPresenter(EventPresenter ep)`
`void` | `removeMacroFilter(MacroFilter mf)`
`protected void` | `resetFilters(java.lang.Boolean true1)` Sets all the filters to be off (true, enabling events of those types contained in each EventPresenter) or on.
`protected void` | `setActiveEventPresenter(EventPresenter eventPresenter)` Sets the EventPresenter as the active on, which also sets its filter panel in the overall filter panel.
`void` | `setParentName(java.lang.String pName)`
`void` | `setPreferredLocation(java.lang.String loc)` Should be provided with BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST.
`void` | `setProperties(java.lang.String prefix, java.util.Properties props)` Sets the properties for the OMComponent.
`protected void` | `showFilterInterface()` Displays the filter panel in the frame window.
`protected void` | `updateFilterCalloutInterface()`
`void` | `updateMacroFilterInterface()`

Methods inherited from class com.bbn.openmap.gui.OMComponentPanel
`addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, fireVetoableChange, getBeanContext, getOrientation, getProperties, getPropertyInfo, getPropertyPrefix, getWindowSupport, isIsolated, removeVetoableChangeListener, setBeanContext, setIsolated, setOrientation, setProperties, setPropertyPrefix, setWindowSupport`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.beans.beancontext.BeanContextChild
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### logger

    public static java.util.logging.Logger logger

### SHOW_ALL_EVENTS_STRING

    public static final java.lang.String SHOW_ALL_EVENTS_STRING

See Also:
  Constant Field Values

### HIDE_ALL_EVENTS_STRING

    public static final java.lang.String HIDE_ALL_EVENTS_STRING

See Also:
  Constant Field Values

### SET_FILTERS_STRING

    public static final java.lang.String SET_FILTERS_STRING

See Also:
  Constant Field Values

### NO_EVENTS_STRING

    public static final java.lang.String NO_EVENTS_STRING

See Also:
  Constant Field Values

### eventPresenters

    protected java.util.List<EventPresenter> eventPresenters

### macroFilters

    protected java.util.List<MacroFilter> macroFilters

### preferredLocation

    protected java.lang.String preferredLocation

### filterPanel

    protected javax.swing.JPanel filterPanel

### eventPresenterComponentLookup

    protected java.util.Hashtable<java.lang.Object,EventPresenter> eventPresenterComponentLookup

### hasFilters

    protected boolean hasFilters

### parentName

    protected java.lang.String parentName

### launchFilterPanel

    protected javax.swing.JPanel launchFilterPanel

### macroPanel

    protected javax.swing.JPanel macroPanel

Constructor Detail

### EventPanel

    public EventPanel()

Method Detail

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from class: `OMComponentPanel`
  Sets the properties for the OMComponent.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `OMComponentPanel`
  Parameters:
    `prefix` - the token to prefix the property names
    `props` - the `Properties` object

### addEventPresenter

    public void addEventPresenter(EventPresenter ep)

### removeEventPresenter

    public void removeEventPresenter(EventPresenter ep)

### clearEventPresenters

    public void clearEventPresenters()

### addMacroFilter

    public void addMacroFilter(MacroFilter mf)

### removeMacroFilter

    public void removeMacroFilter(MacroFilter mf)

### clearMacroFilters

    public void clearMacroFilters()

### initInterface

    public void initInterface()

  Initialize the panel interface, showing the buttons for calling up the filter panel and the event presenter lists in a tabbed pane (if there is more than one, otherwise, just shows the component from that EventPresenter).

### updateFilterCalloutInterface

    protected void updateFilterCalloutInterface()

### updateMacroFilterInterface

    public void updateMacroFilterInterface()

### resetFilters

    protected void resetFilters(java.lang.Boolean true1)

  Sets all the filters to be off (true, enabling events of those types contained in each EventPresenter) or on.

  Parameters:
    `true1` - Boolean.TRUE for all events shown, Boolean.FALSE for all events hidden.

### setActiveEventPresenter

    protected void setActiveEventPresenter(EventPresenter eventPresenter)

  Sets the EventPresenter as the active on, which also sets its filter panel in the overall filter panel.

  Parameters:
    `eventPresenter` -

### showFilterInterface

    protected void showFilterInterface()

  Displays the filter panel in the frame window.

### getFilterPanel

    protected javax.swing.JPanel getFilterPanel()

  This filter panel is the overall filter panel that is in the frame. It houses the macro filter interface common to all EventPresenters, and the filter panel of the active EventPresenter.

  Returns:
    JPanel containing filter controls

### findAndInit

    public void findAndInit(java.lang.Object someObj)

  Specified by:
    `findAndInit` in interface `LightMapHandlerChild`
  Overrides:
    `findAndInit` in class `OMComponentPanel`

### findAndUndo

    public void findAndUndo(java.lang.Object someObj)

  Specified by:
    `findAndUndo` in interface `LightMapHandlerChild`
  Overrides:
    `findAndUndo` in class `OMComponentPanel`

### setPreferredLocation

    public void setPreferredLocation(java.lang.String loc)

  Description copied from interface: `MapPanelChild`
  Should be provided with BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST. BorderLayout.Center is generally reserved for the MapBean.

  Specified by:
    `setPreferredLocation` in interface `MapPanelChild`

### getPreferredLocation

    public java.lang.String getPreferredLocation()

  Description copied from interface: `MapPanelChild`
  Should return BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST. BorderLayout.Center is generally reserved for the MapBean.

  Specified by:
    `getPreferredLocation` in interface `MapPanelChild`

### getParentName

    public java.lang.String getParentName()

  Description copied from interface: `MapPanelChild`
  Should return the name of the desired parent component. This method lets a MapPanel to ask a component if it should be added to the panel. Enables application components to configure themselves from property file information.

  Specified by:
    `getParentName` in interface `MapPanelChild`
  Returns:
    the name of the parent component that the MapPanelChild should be added to, or null if it doesn't know.

### setParentName

    public void setParentName(java.lang.String pName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details